Bug 1298358 - [abrt] vino: _XSend(): vino-server killed by SIGSEGV
[abrt] vino: _XSend(): vino-server killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: vino (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:acedc57288319bce94b128203ef...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-13 16:59 EST by Marek Doležel
Modified: 2017-08-08 08:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:39:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.94 KB, text/plain)
2016-01-13 16:59 EST, Marek Doležel
no flags Details
File: cgroup (242 bytes, text/plain)
2016-01-13 16:59 EST, Marek Doležel
no flags Details
File: core_backtrace (5.86 KB, text/plain)
2016-01-13 16:59 EST, Marek Doležel
no flags Details
File: dso_list (10.19 KB, text/plain)
2016-01-13 16:59 EST, Marek Doležel
no flags Details
File: environ (851 bytes, text/plain)
2016-01-13 16:59 EST, Marek Doležel
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-13 16:59 EST, Marek Doležel
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-13 16:59 EST, Marek Doležel
no flags Details
File: maps (46.50 KB, text/plain)
2016-01-13 16:59 EST, Marek Doležel
no flags Details
File: mountinfo (3.55 KB, text/plain)
2016-01-13 16:59 EST, Marek Doležel
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-13 16:59 EST, Marek Doležel
no flags Details
File: open_fds (979 bytes, text/plain)
2016-01-13 16:59 EST, Marek Doležel
no flags Details
File: proc_pid_status (1.18 KB, text/plain)
2016-01-13 16:59 EST, Marek Doležel
no flags Details
File: var_log_messages (307 bytes, text/plain)
2016-01-13 16:59 EST, Marek Doležel
no flags Details

  None (edit)
Description Marek Doležel 2016-01-13 16:59:36 EST
Description of problem:
I was recording screen with Ctrl+Shift+Alt+R and whole session failed to login screen. It seems to happen when i "interact" app which is running in Xwayland.

Version-Release number of selected component:
vino-3.18.1-1.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/vino-server
crash_function: _XSend
executable:     /usr/libexec/vino-server
global_pid:     1509
kernel:         4.4.0-0.rc5.git3.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _XSend at xcb_io.c:460
 #1 _XFlush at xcb_io.c:512
 #2 _XGetRequest at XlibInt.c:1702
 #3 XQueryExtension at QuExt.c:44
 #4 get_xinput_base at XTest.c:79
 #5 find_display at XTest.c:83
 #6 XTestQueryExtension at XTest.c:101
 #7 vino_input_init at server/vino-input.c:761
 #8 name_acquired at server/vino-main.c:152
 #9 do_call at gdbusnameowning.c:215

Potential duplicate: bug 1222760
Comment 1 Marek Doležel 2016-01-13 16:59:41 EST
Created attachment 1114511 [details]
File: backtrace
Comment 2 Marek Doležel 2016-01-13 16:59:42 EST
Created attachment 1114512 [details]
File: cgroup
Comment 3 Marek Doležel 2016-01-13 16:59:43 EST
Created attachment 1114513 [details]
File: core_backtrace
Comment 4 Marek Doležel 2016-01-13 16:59:45 EST
Created attachment 1114514 [details]
File: dso_list
Comment 5 Marek Doležel 2016-01-13 16:59:46 EST
Created attachment 1114515 [details]
File: environ
Comment 6 Marek Doležel 2016-01-13 16:59:48 EST
Created attachment 1114516 [details]
File: exploitable
Comment 7 Marek Doležel 2016-01-13 16:59:49 EST
Created attachment 1114517 [details]
File: limits
Comment 8 Marek Doležel 2016-01-13 16:59:51 EST
Created attachment 1114518 [details]
File: maps
Comment 9 Marek Doležel 2016-01-13 16:59:52 EST
Created attachment 1114519 [details]
File: mountinfo
Comment 10 Marek Doležel 2016-01-13 16:59:54 EST
Created attachment 1114520 [details]
File: namespaces
Comment 11 Marek Doležel 2016-01-13 16:59:55 EST
Created attachment 1114521 [details]
File: open_fds
Comment 12 Marek Doležel 2016-01-13 16:59:56 EST
Created attachment 1114522 [details]
File: proc_pid_status
Comment 13 Marek Doležel 2016-01-13 16:59:58 EST
Created attachment 1114523 [details]
File: var_log_messages
Comment 14 Jan Kurik 2016-02-24 09:16:59 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 15 Fedora End Of Life 2017-07-25 15:46:35 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2017-08-08 08:39:25 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.